cheapaimodel

Create a response

コピー
POST/v1/responses

Generate a model response with the OpenAI Responses API format. Set stream to receive server-sent events.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key from the console: Authorization: Bearer sk-...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

model*string

A model ID from List models.

input*|array<>

Text, or an array of input items.

instructions?string

System instructions for the model.

stream?boolean
Defaultfalse
max_output_tokens?integer
Range1 <= value
temperature?number
Range0 <= value <= 2
top_p?number
Range0 <= value <= 1
tools?array<>
reasoning?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

コピー
curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "deepseek-v4-1-flash",    "input": "Write one sentence about the sea."  }'
{  "id": "string",  "object": "response",  "created_at": 0,  "model": "string",  "status": "string",  "output": [    {}  ],  "usage": {    "input_tokens": 0,    "output_tokens": 0,    "total_tokens": 0  }}